# Courses Object

> Source: https://truto.one/docs/api-reference/unified-lms-api/courses/

Schema for the `Courses` resource in **Unified LMS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the course
- **`title`** _(string)_
  The title of the course
- **`description`** _(string)_
  The description of the course
- **`code`** _(string)_
  A course code or SKU, when available
- **`type`** _(string)_
  The type of learning item
  Allowed: `course`, `path`, `curriculum`, `program`, `microlearning`, `other`
- **`status`** _(string)_
  The publication or availability status of the course
  Allowed: `draft`, `published`, `archived`, `disabled`, `unknown`
- **`language`** _(string)_
  The primary language of the course, when available. Example: en
- **`duration_seconds`** _(integer)_
  The estimated duration of the course in seconds, when available
- **`level`** _(string)_
  The difficulty level of the course, when available
  Allowed: `beginner`, `intermediate`, `advanced`, `mixed`, `unknown`
- **`urls`** _(array<object>)_
  The URLs related to the course.
  - **`url`** _(string)_
    The URL
  - **`type`** _(string)_
    The type of URL
- **`tags`** _(array<object>)_
  Tags applied to the course
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`categories`** _(array<object>)_
  Categories the course belongs to, when available
  - **`id`** _(string)_
    The category's unique identifier
  - **`name`** _(string)_
    The category's name
- **`organization`** _(object)_
  The organization or tenant the course belongs to, when available
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`published_at`** _(string)_
  The date and time the course was published, when available
- **`created_at`** _(string)_
  The date and time the course record was created
- **`updated_at`** _(string)_
  The date and time the course record was last updated
- **`custom_fields`** _(object)_
  Provider or customer specific fields mapped into a flexible key-value object
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/lms/courses](/docs/api-reference/unified-lms-api/courses/list) — List Courses
- [GET /unified/lms/courses/{id}](/docs/api-reference/unified-lms-api/courses/get) — Get Courses
